<?php
namespace Claromentis\Documents\Event;

$GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"] ?: array()) + array("_6e38cb9e" . "043a07cd6" . "9a1711a67" . "04c62a" => base64_decode("cGFy" . "ZW50" . "X2lk"), "_d0845bff5c" . "d0ddb5ed1d7" . "bd9db996f51" => base64_decode("c291" . "cmNl"));
use Claromentis\Core\Event\GenericEvent;


class AddFolderEvent extends GenericEvent
{
    
    
    
    
    private $error_message = '';
    public function GetSource()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_d0845bff5cd0ddb5ed1d7bd9db9" . "96f51"]);
    }
    public function GetParentId()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_6e38cb9" . "e043a07c" . "d69a1711" . "a6704c62" . "a"]);
    }
    public function GetErrorMessage()
    {
        return $this->error_message;
    }
    public function SetErrorMessage($error_message)
    {
        $this->error_message = $error_message;
    }
}